import 'package:flutter/material.dart';

class AccommodationInfoField extends StatelessWidget {
  final Function(String?) onSaved;

  const AccommodationInfoField({Key? key, required this.onSaved}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      decoration: const InputDecoration(
        labelText: 'Informations sur l\'hébergement',
        border: OutlineInputBorder(),
        filled: true,
        fillColor: Colors.white,
      ),
      validator: (value) {
        if (value == null || value.isEmpty) {
          return 'Veuillez entrer des informations sur l\'hébergement';
        }
        return null;
      },
      onSaved: onSaved,
    );
  }
}
